%define   ver       00203
%define   src_ver   002.03
%define   _fontdir  %{_datadir}/fonts/TTF/japanese-ipafont-uigothic

Name:     fonts-ttf-japanese-ipafont-uigothic
Version:  %{ver}
Release:  %mkrel 2
Summary:  IPA TrueType UIGothic Font (ver.%{src_ver})
Summary(ja):  IPA の日本語 True Type UIGothic フォント (ver.%{src_ver})
Group:    System/Fonts/True type
License:  IPA Font License
URL:      http://ossipedia.ipa.go.jp/ipafont/old/
Source0:  IPAfont%{version}.tar.xz
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:    mkfontdir, mkfontscale, psiconv
Requires(post):   fontconfig
Requires(postun): fontconfig

Obsoletes:  fonts-ttf-ipafont
Obsoletes:  fonts-ttf-ipafont-uigothic
Obsoletes:  fonts-ttf-ipafont-doc
Obsoletes:  fonts-ttf-ipafont-gothic
Obsoletes:  fonts-ttf-ipafont-mincho


%description
This package includes IPA UIGothic (ver.002.03) font.

%description -l ja
このパッケージで、IPAUIゴシックフォント (ver.002.03) がインストールされます。


%prep
%setup -q -n IPAfont%{version}

## ドキュメント類の文字コードをシフトJISからUTF-8へ変換
for i in *.txt ; do
  iconv -f Shift_JIS -t UTF-8 ${i} > ${i}.utf8
  mv ${i}.utf8 ${i}
done


%build
mkdir -p tmp
pushd tmp
  tar -xaf %{SOURCE0}
  rm -f IPAfont%{version}/ipagui.ttf
  tar -caf ../IPAfont%{version}-without-uigothic.tar.xz IPAfont%{version}
popd


%install
mkdir -p $RPM_BUILD_ROOT%{_fontdir}
install -p -m644 ipagui.ttf $RPM_BUILD_ROOT%{_fontdir}
mkfontscale $RPM_BUILD_ROOT%{_fontdir}
mkfontdir $RPM_BUILD_ROOT%{_fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{_fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/ttf-japanese-ipafont-uigothic:pri=50


%clean
rm -rf $RPM_BUILD_ROOT


%post
fc-cache

%postun
fc-cache


%files
%defattr(-,root,root)
%doc *.txt
%doc IPAfont%{version}-without-uigothic.tar.xz
%{_fontdir}/ipagui.ttf
%{_fontdir}/fonts.dir
%{_fontdir}/fonts.scale
%{_sysconfdir}/X11/fontpath.d/ttf-japanese-ipafont-uigothic:pri=50


%changelog
* Tue Apr 09 2019 tex - 00203-2pclos2019
- rebuild against updates

* Wed Nov 13 2013 pinoc <vogtpet at gmail.com> 00203-1pclos2013
- imported from tomcat
